Package org.apache.sling.testing.mock.osgi.context

# Interface ContextPlugin<T extends OsgiContextImpl>

Type Parameters:
  `T` - Context

All Known Implementing Classes:
  `AbstractContextPlugin`

@ConsumerType public interface ContextPlugin<T extends OsgiContextImpl>
Callback plugin for application-specific setup and teardown operations to customize the mock context.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterSetUp(T context)`
Is executed after the built-in setup rules are executed.
`void`
`afterTearDown(T context)`
Is executed after the built-in teardown rules are executed.
`void`
`beforeSetUp(T context)`
Is executed before the built-in setup rules are executed.
`void`
`beforeTearDown(T context)`
Is executed before the built-in teardown rules are executed.

## Method Details

### beforeSetUp

void beforeSetUp(@NotNull T context) throws Exception
Is executed before the built-in setup rules are executed.

Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### afterSetUp

void afterSetUp(@NotNull T context) throws Exception
Is executed after the built-in setup rules are executed.

Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### beforeTearDown

void beforeTearDown(@NotNull T context) throws Exception
Is executed before the built-in teardown rules are executed.

Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### afterTearDown

void afterTearDown(@NotNull T context) throws Exception
Is executed after the built-in teardown rules are executed.

Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception